> ## Documentation Index
> Fetch the complete documentation index at: https://docs.homepal.se/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches one raw API-access widget.



## OpenAPI

````yaml swagger.json get /v1/api-access/widgets/{id}/raw
openapi: 3.0.0
info:
  title: Homepal API
  version: '1'
servers:
  - url: https://api.homepal.se/
security:
  - ApiKeyAuth: []
paths:
  /v1/api-access/widgets/{id}/raw:
    get:
      summary: Fetches one raw API-access widget.
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: The ID of the widget.
        - in: query
          name: companies
          schema:
            type: string
          required: false
          example: Fastiget AB
          description: >-
            A comma separted list of company names to filter the data by. If not
            set, data from all companies the company group has access to will be
            shown.
      responses:
        '200':
          description: The raw widget payload.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Widget'
      security:
        - BearerAuth: []
components:
  schemas:
    Widget:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: object
          properties:
            broken:
              type: boolean
              example: false
              description: widget is broken and wont return any data.
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataRow'
          example:
            - title: Fastighet
              index: 0
              data_type: string
              data:
                - Fastighet 1
                - Fastighet 2
                - Fastighet 3
              unit: null
              comparative_display_type: null
              comparative_data: null
            - title: Inrapporterade ärenden
              index: 1
              data_type: number
              data:
                - 4352
                - 4123
                - 3921
              unit: null
              comparative_display_type: null
              comparative_data: null
        meta:
          type: object
          properties:
            comparative_filter:
              allOf:
                - $ref: '#/components/schemas/TimePeriod'
              nullable: true
              example: null
              description: The time period of the comparative data
            period_filter:
              $ref: '#/components/schemas/TimePeriod'
            subtitle:
              type: string
              nullable: true
              example: null
            title:
              type: string
              nullable: true
              example: Ärenden per fastighet
            type:
              type: string
              enum:
                - KEY_FIGURE
                - BAR_CHART
                - BUBBLE_CHART
                - LINE_CHART
                - LIST
                - MAP
                - COMBO_CHART
                - PIE_CHART
              example: BAR_CHART
              description: The type of widget.
    DataRow:
      type: object
      properties:
        title:
          type: string
        index:
          type: integer
        data_type:
          type: string
          enum:
            - string
            - number
          description: The type of data array.
        data:
          oneOf:
            - type: array
              items:
                type: number
                nullable: true
            - type: array
              items:
                type: string
                nullable: true
        unit:
          type: string
          nullable: true
        comparative_display_type:
          type: string
          enum:
            - PERCENTAGE
            - VALUE
          nullable: true
        comparative_data:
          type: array
          nullable: true
          items:
            type: number
            nullable: true
    TimePeriod:
      type: object
      properties:
        from_date:
          type: string
          nullable: false
          example: '2024-01-01'
        to_date:
          type: string
          nullable: true
          example: '2024-12-31'
      description: >-
        The time period of the metric. If to_date is null then it's is not a
        period, but an exact date.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````